package beilv.system.service;

import beilv.system.domain.SysMember;
import beilv.system.domain.dto.SysMemberDTO;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * 会员用户信息Service接口
 *
 * @author ruoyi
 * @date 2025-01-02
 */
public interface ISysMemberService {
    /**
     * 查询会员用户信息
     *
     * @param id 会员用户信息主键
     * @return 会员用户信息
     */
    public SysMember selectSysMemberById(Long id);

    /**
     * 查询会员用户信息列表
     *
     * @param sysMember 会员用户信息
     * @return 会员用户信息集合
     */
    public List<SysMember> selectSysMemberList(SysMember sysMember);

    /**
     * 新增会员用户信息
     *
     * @param sysMember 会员用户信息
     * @return 结果
     */
    public int insertSysMember(SysMember sysMember);

    /**
     * 修改会员用户信息
     *
     * @param sysMember 会员用户信息
     * @return 结果
     */
    public int updateSysMember(SysMember sysMember);

    /**
     * 批量删除会员用户信息
     *
     * @param ids 需要删除的会员用户信息主键集合
     * @return 结果
     */
    public int deleteSysMemberByIds(String ids);

    /**
     * 删除会员用户信息信息
     *
     * @param id 会员用户信息主键
     * @return 结果
     */
    public int deleteSysMemberById(Long id);



    /**
     * 获取登录用户信息
     * @param request
     * @return
     * @throws Exception
     */
    SysMember getLoginSysMember(HttpServletRequest request);

}
